MetricSetControllerAddStateGroupToMetricSet Method |
POST /MetricSet/AddStateGroup/{id}
Adds a state group to a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("AddStateGroup")]
public IActionResult AddStateGroupToMetricSet(
Guid id,
[FromBodyAttribute] AddStateGroupOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("AddStateGroup")>
Public Function AddStateGroupToMetricSet (
id As Guid,
<FromBodyAttribute> options As AddStateGroupOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"AddStateGroup")]
IActionResult^ AddStateGroupToMetricSet(
Guid id,
[FromBodyAttribute] AddStateGroupOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("AddStateGroup")>]
member AddStateGroupToMetricSet :
id : Guid *
[<FromBodyAttribute>] options : AddStateGroupOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set to add the state group to. - options
- Type: Dundas.BI.WebApi.ModelsAddStateGroupOptions
The options for adding this state group to the metric set. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also